Loading...
Searching...
No Matches
RokuExtTVChannel Struct Reference

Extended information about a TV channel. More...

`#include <rokuecp.h>`

## Data Fields

RokuTVChannel | channel
| Base channel info.
bool | isActive
| true if the channel is currently playing on the TV.
RokuTVProgram | program
| The currently playing program.
bool | signalReceived
| false if there is currently no signal
char | resolution [8]
| Resolution at which the channel is available (like 1080i) up to 7 characters.
uint8_t | signalQuality
| Signal quality level from 0-100.
int8_t | signalStrength
| Signal strength in dB.

## Detailed Description

Extended information about a TV channel.

This info is only available if the channel is currently active.

## Field Documentation

## isActive

bool RokuExtTVChannel::isActive

true if the channel is currently playing on the TV.

If false, nothing but the channel attribute will be populated.

The documentation for this struct was generated from the following file:

- rokuecp.h